Subject: Re: bug#53883: strange conflicts with guix package -m manifest
From: Marius Bakke <[email-masked]>
To: Ludovic Courtès <[email-masked]>, Leo Famulari <[email-masked]>
Cc: [email-masked], "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Wed, 16 Feb 2022 23:06:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skriver:

> Hi,
>
> Leo Famulari <[email-masked]> skribis:
>
>> Basically, the python-twine package, as it is now, cannot be installed
>> in a profile.
>>
>> That is because its dependency graph of propagated packages includes
>> different versions of python-cffi, and you cannot install both of these
>> cffi packages alongside each other in a symlink forest (i.e. a profile).
>
> Any idea how this could be addressed?
>
> There are currently 133 dependents of [email-masked] (python-cmarkgfm
> is the only direct user) and 3,807 dependents of [email-masked].  It’d
> be easier if they all depended on 1.14.
>
> Unfortunately we can’t just use 1.14 for python-cmarkgfm:
>
> --8<---------------cut here---------------start------------->8---
> $ guix build python-cmarkgfm --with-input=[email-masked]=[email-masked]
> […]
> ERROR: Could not find a version that satisfies the requirement cffi>=1.15.0 (from versions: none)
> ERROR: No matching distribution found for cffi>=1.15.0
> --8<---------------cut here---------------end--------------->8---
>
> Should we downgrade python-cmarkgfm, or relax its requirements?  Marius,
> WDYT?  :-)

I dug around in the upstream commit history and it appears that the
requirement was only added for Python 3.10 compatibility.  So I relaxed
its requirements in commit f37eb24df5ecb3a14bd42507076854cc979ddecf.

-- 
Thanks,
Marius